textures/facility/light1
{
    {
        map $lightmap
    }
    {
        map textures/facility/light1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/facility/light1
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/facility/gitterqu
{
	surfaceparm	metalsteps
    {
        map $lightmap
        alphaFunc GE128
    }
    {
        map textures/facility/gitterqu
        alphaFunc GE128
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/facility/gitter_shadow
{
	qer_editorimage	textures/facility/gitter_shadow
	polygonOffset
	q3map_nolightmap
    {
        map textures/facility/gitter_shadow
        alphaFunc GE128
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/facility/neon_green
{
	q3map_surfacelight	1000
	q3map_nolightmap
    {
        map textures/facility/neon_green
    }
}

textures/facility/bright_yellow
{
	q3map_surfacelight	1000
	q3map_nolightmap
    {
        map textures/facility/bright_yellow
    }
}

textures/facility/slime
{
	q3map_surfacelight	1000
	q3map_nolightmap
    {
        map textures/facility/slime
	glow
	tcMod turb 0.5 0.04 0 0.3
    }
}

textures/facility/mywateroil
{
	qer_editorimage	textures/byss/env_large_floor
	qer_trans	0.1
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	water
	surfaceparm	trans
	q3map_material	Water
	deformvertexes	wave	200 sin 1 1.5 0 2
    {
        map textures/byss/env_large_floor
        blendFunc GL_ONE GL_SRC_ALPHA
	tcGen environment
        alphaFunc GE128
	alphaGen const 1.0
	tcMod turb 0.01 0.03 5 0.1
	tcMod stretch noise 1 0.01 1 1
    }
    {
        map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/facility/myglass
{
	qer_editorimage	textures/common/etest4
	surfaceparm	nonopaque
	surfaceparm	forcefield
	surfaceparm	trans
	q3map_material	Glass
	q3map_nolightmap
    {
        map textures/common/etest4
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.6 0.6 0.6 )
        tcGen environment
    }
}

textures/facility/myglass_green
{
	qer_editorimage	textures/common/etest4
	surfaceparm	nonopaque
	surfaceparm	forcefield
	surfaceparm	trans
	q3map_material	Glass
	q3map_nolightmap
    {
        map textures/common/etest4
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0 1 0.6 )
        tcGen environment
    }
}

textures/facility/flare_blue
{
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nolightmap
	deformvertexes	autoSprite	
    {
        map textures/flares/standard_flare
        blendFunc GL_ONE GL_ONE
        depthFunc disable
        rgbGen const ( 0.568185 0.846799 1.000000 )
        alphaGen portal 50
    }
}